unit formaclientes;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, Mask, DBCtrls, ExtCtrls, ComCtrls;

type
  TfrmClientes = class(TForm)
    qryClientesporApellido: TQuery;
    qryClientesporApellidoLAST_NAME: TStringField;
    qryClientesporApellidoFIRST_NAME: TStringField;
    qryClientesporApellidoACCT_NBR: TFloatField;
    qryClientesporApellidoADDRESS_1: TStringField;
    qryClientesporApellidoCITY: TStringField;
    qryClientesporApellidoSTATE: TStringField;
    qryClientesporApellidoZIP: TStringField;
    qryClientesporApellidoTELEPHONE: TStringField;
    qryClientesporApellidoDATE_OPEN: TDateField;
    qryClientesporApellidoSS_NUMBER: TFloatField;
    qryClientesporApellidoPICTURE: TStringField;
    qryClientesporApellidoBIRTH_DATE: TDateField;
    qryClientesporApellidoRISK_LEVEL: TStringField;
    qryClientesporApellidoOCCUPATION: TStringField;
    qryClientesporApellidoOBJECTIVES: TStringField;
    qryClientesporApellidoINTERESTS: TStringField;
    qryClientesporApellidoIMAGE: TBlobField;
    dsClientes: TDataSource;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    DBEdit7: TDBEdit;
    Label8: TLabel;
    DBEdit8: TDBEdit;
    Label9: TLabel;
    DBEdit9: TDBEdit;
    Label10: TLabel;
    DBEdit10: TDBEdit;
    Label11: TLabel;
    DBEdit11: TDBEdit;
    Label12: TLabel;
    DBImage1: TDBImage;
    Label13: TLabel;
    DBEdit12: TDBEdit;
    Label14: TLabel;
    DBEdit13: TDBEdit;
    Label15: TLabel;
    DBEdit14: TDBEdit;
    Label16: TLabel;
    DBEdit15: TDBEdit;
    DBNavigator1: TDBNavigator;
    btnConsultar: TButton;
    qryClientesPorCuenta: TQuery;
    StringField1: TStringField;
    StringField2: TStringField;
    FloatField1: TFloatField;
    StringField3: TStringField;
    StringField4: TStringField;
    StringField5: TStringField;
    StringField6: TStringField;
    StringField7: TStringField;
    DateField1: TDateField;
    FloatField2: TFloatField;
    StringField8: TStringField;
    DateField2: TDateField;
    StringField9: TStringField;
    StringField10: TStringField;
    StringField11: TStringField;
    StringField12: TStringField;
    BlobField1: TBlobField;
    qryClientesPorRiesgo: TQuery;
    StringField13: TStringField;
    StringField14: TStringField;
    FloatField3: TFloatField;
    StringField15: TStringField;
    StringField16: TStringField;
    StringField17: TStringField;
    StringField18: TStringField;
    StringField19: TStringField;
    DateField3: TDateField;
    FloatField4: TFloatField;
    StringField20: TStringField;
    DateField4: TDateField;
    StringField21: TStringField;
    StringField22: TStringField;
    StringField23: TStringField;
    StringField24: TStringField;
    BlobField2: TBlobField;
    sbStatus: TStatusBar;
    procedure btnConsultarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmClientes: TfrmClientes;

implementation

uses consultaclientes;

{$R *.DFM}

procedure TfrmClientes.btnConsultarClick(Sender: TObject);
var
  QueryAUsar : TQuery;
begin

  // Muestra el dilogo de consultas
  dlgConsulta.ShowModal;
  QueryAUsar := Nil;
  if dlgConsulta.ModalResult = mrOK then begin

    // Primero decide que query vamos a usar.
    case dlgConsulta.rgConsulta.ItemIndex of
       0: QueryAUsar := qryClientesporApellido;
       1: QueryAUsar := qryClientesPorCuenta;
       2: QueryAUsar := qryClientesPorRiesgo;
    end; //case
    if QueryAUsar = Nil then Exit;
    QueryAUsar.Close;
    // Nota: El Nmero de cuenta es un Integer y no un String. Este IF
    // se encarga de eso. Note adems que todos los queries que contienen
    // parametros tipo string tienen la sentencia LIKE para que podamos aadir
    // signo de porcentaje para busqueda parcial.
    if QueryAUsar.Params[0].DataType = ftFloat
    then
      QueryAUsar.Params[0].AsFloat := StrToFloat(dlgConsulta.edtConsultaTexto.Text)
    else
      QueryAUsar.Params[0].AsString := dlgConsulta.edtConsultaTexto.Text+'%';
    QueryAUsar.Open;
    dsClientes.DataSet := QueryAUsar;
    if QueryAUsar.EOF then ShowMessage('No encontr ningn Registro!');
    sbStatus.Panels.Items[0].Text := 'Encontr '+FormatFloat('###,###,##0', QueryAUsar.RecordCount)+' registros.';

  end; // if


end;

end.
